It's not the same without you

Join the community to find out what other Atlassian users are discussing, debating and creating.

Atlassian Community Hero Image Collage

updating Sourctree to 2.5.5 .NET installation failure

When updating Sourctree to 2.5.5 the installation requires .NET Framework 4.7.1. When I install that, I get the folowing error and cannot continue the update or run Sourcetree: "not supported on this operating system."

I am running Windows 10 Enterprise 10.0.1.10240 build 10240 64bit and.NET Framework 4.6.1

 

11 answers

1 accepted

0 votes
Answer accepted

Problem solved, Windows updates needed to be installed first. Thanks.

That did not solve it for me.

I'm in the same situation: Windows 10 Enterprise 2015 LTSB. Version 10.0.10240 Build 10240.

But I can't run Windows Update, nor can I install .NET 4.7.1.

I had the same problem, basically an overzelous IT manager decided to make all workstation images default to LTSB. 
If you can do an in-place upgrade to 2016 LTSB, that works and allows .net 4.7.1 (skipped right to 4.7.2 actually). May not be possible in your scenario though.

Thanks for getting in touch. It appears the issue is explicitly to do with this specific version of Windows 10:

Windows 10 Enterprise 2015 LTSB. Version 10.0.10240 Build 10240

Also know as 1507.

https://social.technet.microsoft.com/Forums/windows/en-US/85467673-6e8c-49d2-b6df-371babd9f5f3/windows-10-enterprise-2015-ltsb-officially-supports-net-47?forum=win10itproapps

It appears 4.6.2 is supported but not 4.7/4.7.1. We will investigate what we can do about this.

It appears the only security updates will be available for 1507 going forward.

The newer LTSB version 1607 does support 4.7.1.

For now I'm afraid you will have to re-install 2.4.8.0 which is available from here: https://www.sourcetreeapp.com/download-archives 

I get a 404 on that page

minnsey Atlassian Team Apr 26, 2018

cut'n'paste error its correct now.

As is this copy https://www.sourcetreeapp.com/download-archives

0 votes
minnsey Atlassian Team Apr 17, 2018

I am running Windows 10 Enterprise 10.0.1.10240 build 10240 64bit and.NET Framework 4.6.1

 

Please reboot to make sure .NET 4.7.1 is picked up by the OS.

Thing is, the .NET installation does not complete due to the error.

Capture.PNG

The same problem, it's outrageous! it's easier for me to switch to another program than to update the Windows, because 4.7.1 can not be installed!

Same issue for me. Using Window 10 Enterprise, version 1511, build 10586.1295.

Updated to v2.5.5 - Windows 10 17409 16299.402 - .Net 4.7.1

Crashing Windows has stopped working error ... Can't install older v2 versions all don't start.. Install folder etc.. is there. Rolled back to v 1.9 and have move to use Visual Studio Code in the mean time.

Windows Event Log 

Faulting application name: SourceTree.exe, version: 2.4.8.0, time stamp: 0x5a5f7807
Faulting module name: KERNELBASE.dll, version: 10.0.16299.402, time stamp: 0xde35406a
Exception code: 0xe0434352
Fault offset: 0x0000000000014008
Faulting process id: 0x32f4
Faulting application start time: 0x01d3e03d4b33507c
Faulting application path: ....\AppData\Local\SourceTree\app-2.4.8\SourceTree.exe
Faulting module path: C:\WINDOWS\System32\KERNELBASE.dll
Report Id: dc004c7c-5832-4e45-b054-dc8cfc049501
Faulting package full name:
Faulting package-relative application ID:

I'm in the exact same boat. Can't install, can't run. I have to roll back to v1.x.

I am running Windows 10 Enterprise 10.0.1.10240 build 10240 64bit and.NET Framework 4.6.1

if anyone face printer issue click here https://www.hpsupport365.com/blog/how-to-connect-hp-envy-7640-printer-to-wifi/

First you need to find the wps pin on hp printer to establish a connection with your wifi

0 votes

Really appreciate your post you check a post on how to fix dell laptop not charging issue here. Thanks for the information

Arouse naturally recognizes close by systems and hotspots that communicates their system name. In the event that you visit puts that offer access you can set up your system or enter secret word if necessary for your set up.

 More Info:- Aamazon Kindle Paperwhite Troubleshooting  

Suggest an answer

Log in or Sign up to answer
TAGS
Community showcase
Published in Sourcetree

Sourcetree for Windows - CVE-2019-11582 - Remote Code Execution vulnerability

A vulnerability has been published today in regards to Sourcetree for Windows.  The goal of this article is to give you a summary of information we have gathered from Atlassian Community as a st...

4,935 views 0 12
Read article

Community Events

Connect with like-minded Atlassian users at free events near you!

Find an event

Connect with like-minded Atlassian users at free events near you!

Unfortunately there are no Community Events near you at the moment.

Host an event

You're one step closer to meeting fellow Atlassian users at your local event. Learn more about Community Events

Events near you